Help
Manage the help section of the system including categories and help articles.
Available Endpoints
| Method |
Path |
Description |
| GET |
/api/help/categories |
List help categories |
| POST |
/api/help/categories |
Create new category |
| GET |
/api/help/categories/{id} |
View category details |
| PUT |
/api/help/categories/{id} |
Full update of a category |
| PATCH |
/api/help/categories/{id} |
Partial update of a category |
| DELETE |
/api/help/categories/{id} |
Delete a category |
| GET |
/api/help/articles/suggestions |
Article suggestions |
| GET |
/api/help/articles |
List help articles |
| POST |
/api/help/articles |
Create new article |
| GET |
/api/help/articles/{id} |
View article details |
| PUT |
/api/help/articles/{id} |
Full update of an article |
| PATCH |
/api/help/articles/{id} |
Partial update of an article |
| DELETE |
/api/help/articles/{id} |
Delete an article |
Example Request
curl -X GET "https://example.com/api/help/categories" \
-H "Authorization: Bearer {token}"
Success Response (200)
{
"records": [],
"meta": {
"total": 0,
"current_page": 1,
"per_page": 20
}
}
Errors
| Code |
Description |
| 401 |
Invalid token |
| 403 |
Access denied |
| 404 |
Record not found |
| 422 |
Validation error |